local frame = CreateFrame("Frame", nil , UIParent, "WorldStateAlwaysUpTemplate")
local _
local UnitDebuff, dampeningtext = UnitDebuff, GetSpellInfo(110310)
_, frame.text = frame:GetRegions()

frame:SetScript("OnEvent", function(self, event, ...) self[event](self, ...) end)
frame:RegisterEvent("PLAYER_ENTERING_WORLD")
frame:SetPoint("TOP", WorldStateAlwaysUpFrame, "BOTTOM",-23,-10)

function frame:UNIT_AURA(unit)
	local _, _, _, _, _, _, _, _, _, _, _, _, _, _, _, _, percentage = UnitDebuff(unit, dampeningtext)
	if percentage then
		if not self:IsShown() then -- only do this stuff when the buff appears the first time	
			self:Show()
		end
		if self.dampening ~= percentage then
			self.dampening = percentage
			self.text:SetText(dampeningtext..": "..percentage.."%")
		end
	elseif self:IsShown() then
		self:Hide()
	end
end

function frame:PLAYER_ENTERING_WORLD()
	local _, instanceType = IsInInstance()
	if instanceType == "arena" then
		self:RegisterUnitEvent("UNIT_AURA", "player")
	else	
		self:UnregisterEvent("UNIT_AURA")
	end
end